Bug 3582 - Select folder dialogue does not tell what is selecting for
Summary: Select folder dialogue does not tell what is selecting for
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI (show other bugs)
Version: 3.13.2
Hardware: All All
: P3 enhancement
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-12-21 13:30 CET by Ricardo Mones
Modified: 2017-03-16 21:30 CET (History)
0 users

See Also:


Attachments
Possible fix (13.66 KB, patch)
2016-09-25 17:23 CEST, Ricardo Mones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo Mones 2015-12-21 13:30:15 CET
Currently if you copy or move a message or go to other folder, the appearing "Select folder" dialogue it's the same for all actions.

There's no hint on window title or dialogue itself of what's going to happen when the folder is selected.

There's no problem usually, but if you left the dialogue unattended for some time (as often happens on work environments) some degree of FUD may assault user, having to cancel the dialogue and recheck context to be sure.

A simple textual hint on dialogue may help to prevent this.
Comment 1 Ricardo Mones 2016-09-25 17:23:01 CEST
Created attachment 1687 [details]
Possible fix

A candidate fix for this: just adds a parameter to the function for specifying the dialogue title. A few callbacks are reused and still share default title, but since the trigger buttons are in the same window (and likely to be configured in a row) and the duplication of code it would require, makes separation effort not worth enough IMO.

Review of the English grammar in titles is welcome, though it can also be done after pushing, of course :-)
Comment 2 Andrej Kacian 2016-09-25 18:35:35 CEST
Thumbs up on this one. :)
Comment 3 users 2017-03-16 19:17:03 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2017-03-16 19:17:03.160766050 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=a6b0c1e0850def82a2adae4090b30567c4ef6e1e
Merge: 7ca5f5c bd8213f
Author: Colin Leroy <colin@colino.net>
Date:   Thu Mar 16 19:17:02 2017 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=bd8213fe3d3ca5da043992520e96f07aacd0d443
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Thu Mar 16 19:14:49 2017 +0100

    Allow custom window title for the folder selection dialog.
    
    Fixes bug #3582 - Select folder dialogue does not tell what is
    selecting for.

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=e420063586f5117a00c3460ed074e34c95709ff9
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Thu Mar 16 18:37:30 2017 +0100

    Added summary_get_selection_count() function.
Comment 4 Andrej Kacian 2017-03-16 21:30:05 CET
These dialogs will now have titles like "Select folder to copy selected message to".